
Foreman - Bug #16617

Duplicate filters can be created

09/20/2016 07:26 AM - Ohad Levy

Status: Needs design   

Priority: Normal   

Assignee:    

Category: Users, Roles and Permissions   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Currently, there is no limitation, and multiple filters can be created for the same role (see attached image).

Related issues:

Related to Foreman - Tracker #16615: Permissions Usability Tracker New 09/20/2016

Related to Discovery - Feature #17586: Remove duplicated permissions via migr... New 12/06/2016

History

#1 - 09/20/2016 07:26 AM - Ohad Levy

- Related to Tracker #16615: Permissions Usability Tracker added

#2 - 09/20/2016 07:27 AM - Dominic Cleal

- Category set to Users, Roles and Permissions

Please set the category on new bugs.

Not sure this is really a bug, filters are additive.

#3 - 09/20/2016 07:32 AM - Ohad Levy

Dominic Cleal wrote:

Not sure this is really a bug, filters are additive.

 I can't see the reason why you would be able to create the exact same filter twice?

#4 - 09/20/2016 08:25 AM - Marek Hulán

- Status changed from New to Need more information

I don't think this should be considered as bug either. I think it would only introduce confusion why some filter can't be saved. Validation would have to

be scoped per role so in the end user could still get 2 or more same filters from different roles. Is there some big advantage of enforcing uniqueness?

Note that it would involve same permission set, same search condition, same override value and same taxonomies association checks.

#5 - 12/06/2016 08:29 AM - Dominic Cleal

- Related to Feature #17586: Remove duplicated permissions via migration added

#6 - 12/06/2016 08:46 AM - Lukas Zapletal

- Subject changed from duplicate filters can be created to Duplicate filters can be created

I offer an alternative solution, how about a button (or a rake task but that will be too hidden for users) that will simply remove dupes? I also think filters

not being saved might be confusing experience so a way to clean things up might be a good option.

#7 - 05/17/2017 03:57 PM - Anonymous
- Status changed from Need more information to Needs design

#8 - 05/18/2017 02:32 AM - Marek Hulán

I agree with Lukas, "deduplicate" button might be useful even though I don't see many of duplicates. There used to be a bug that plugins were

duplicating filters on every seed run but that's fixed for some time.
